Subject: Re: [OPSAWG] regarding draft-ietf-opsawg-ipfix-bgp-community: IPR call

From: "Joel M. Halpern" <[email-masked]>
Date: Tue, 17 Apr 2018 08:41:16 -0400

As far as I can tell, the formal IPR disclosure with IPR terms was not 
filed until several days after that request.
Thus, the WG can not have considered it in the light of the actual terms.

When I asked one WG participant, he was quite surprised by the terms.

Given the difficulty both Huawei and Ericsson have gotten from IETF 
participants over similar terms, I do not think this can be ignored.

Yours,
Joel

On 4/17/18 1:12 AM, Tianran Zhou wrote:
> Hi Joel,
> 
> Thanks for reminding this important information.
> Yes, we did the IPR poll when it became a WG draft. The IPR was disclosed then. Please see
> https://www.ietf.org/mail-archive/web/opsawg/current/msg04792.html
> We did not received any objection based on this.
> 
> Thanks,
> Tianran
>> -----Original Message-----
>> From: Joel M. Halpern [mailto:[email-masked]]
>> Sent: Tuesday, April 17, 2018 8:25 AM
>> To: [email-masked]
>> Subject: regarding draft-ietf-opsawg-ipfix-bgp-community: IPR call
>>
>> Is the working group aware of the IPR disclosure China Mobile made against
>> this document?  Specifically, that the IPR disclosure says that a license
>> may be required?
>>
>> Normally, I would not even comment on that, and as you can see, I am not
>> commenting on the list about it.
>>
>> But I note that this is a case where there is a clear workaround (just don't
>> do this).  So I would expect that the shepherd report, whenever that is
>> produced, will need to discuss the IPR disclosure.
>>
>> Yours,
>> Joel

---

From: Warren Kumari <[email-masked]>
Date: Tue, 17 Apr 2018 16:51:36 -0400

Noting that I am not the responsible AD for this....

The IPR had been disclosed shortly after the call for adoption, and so
the WG was "aware" of it when the WGLC occurred -- however, it is very
easy to forget that there is IPR during the WGLC, which is why RFC7602
says (emphasis mine):

"The chairs *might* also wish to include a reminder about
 the importance of IPR disclosures in any WGLC message communicated to
 the working group.  (Note: If IPR disclosure statements have been
 filed, the chairs *might* wish to include a link in the WGLC message to
 ensure that the consensus call reflects this information.)"

Section 6 of this also says: "WG chairs and ADs are not expected to
enforce IPR disclosure rules, and this document does not suggest that
they take on such a role.", however, RFC8179 says:
"The IETF policies about Intellectual Property Rights (IPR), such as
   patent rights, relative to technologies developed in the IETF are
   designed to ensure that IETF working groups and participants have as
   much information as possible about any IPR constraints on a technical
   proposal as early as possible in the development process. "
and
"5.4.2. Updating IPR Disclosures

   Those who disclose IPR should be aware that as Internet-Drafts
   evolve, text may be added or removed, and it is recommended that they
   keep this in mind when composing text for disclosures.

   A. Unless sufficient information to identify the issued patent was
      disclosed when the patent application was disclosed, an IPR
      disclosure must be updated or a new disclosure made promptly after
      any of the following has occurred: (1) the publication of a
      previously unpublished patent application, (2) the abandonment of
      a patent application, (3) the issuance of a patent on a previously
      disclosed patent application, or (4) a material change to the IETF
      Document covered by the Disclosure that causes the Disclosure to
      be covered by additional IPR.  If the patent application was
      abandoned, then the new IPR disclosure must explicitly withdraw
      any earlier IPR disclosures based on the application.  IPR
      disclosures against a particular Contribution are assumed to be
      inherited by revisions of the Contribution and by any RFCs that
      are published from the Contribution unless the disclosure has been
      updated or withdrawn."

Again noting that I am not currently the responsible AD for the WG, I
was when the WGLC occurred. So, I think that I'm within my rights to
suggest that the chairs:
1: Suggest that the author who originally had the disclosure made
(thank you, this was the right thing to do!) remind their lawyers of
the requirement in RFC8179 Section 5.4.2
2: As you are raising concerns about whether everyone was aware (and
state that at least one person wasn't) that the chairs ask if anyone
who previously expressed support for progressing the document has
changed their views **because** they were not aware of the existence
of the IPR disclosure.
before sending it to the IESG.

Please please also keep in mind that:
"(a) The IETF will make no determination about the validity of any
       particular IPR claim.

   (b) The IETF, following normal processes, can decide to use
       technology for which IPR disclosures have been made if it decides
       that such a use is warranted."

(and everything else in RFC8129, RFC2026, BCP79, etc).

W

On Tue, Apr 17, 2018 at 8:41 AM, Joel M. Halpern <[email-masked]> wrote:
> As far as I can tell, the formal IPR disclosure with IPR terms was not filed
> until several days after that request.
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf

---

From: Tianran Zhou <[email-masked]>
Date: Wed, 18 Apr 2018 02:13:50 +0000

Thanks Warren very much for the suggestions from the AD side.
Base on AD suggestions, I with the WG Chair role, would like to:
1. Let the authors to discuss the relation between the IPR and the draft, and get wider WG awareness. 
2. Base on the above, see if the authors need to update the IPR disclosure.
3. Ask the consensus again before sending to IESG.

Thanks,
Tianran 

> From: Warren Kumari [mailto:[email-masked]]
> Sent: Wednesday, April 18, 2018 4:52 AM
> To: Joel M. Halpern <[email-masked]>
> Cc: Tianran Zhou <[email-masked]>; [email-masked]
> Subject: Re: [OPSAWG] regarding draft-ietf-opsawg-ipfix-bgp-community: IPR
> call
> 
> The IPR had been disclosed shortly after the call for adoption, and so the
> WG was "aware" of it when the WGLC occurred -- however, it is very easy to
> forget that there is IPR during the WGLC, which is why RFC7602 says (emphasis
> mine):
> 
> "The chairs *might* also wish to include a reminder about  the importance
> of IPR disclosures in any WGLC message communicated to  the working group.
> (Note: If IPR disclosure statements have been  filed, the chairs *might* wish
> to include a link in the WGLC message to  ensure that the consensus call
> reflects this information.)"
> 
> Section 6 of this also says: "WG chairs and ADs are not expected to enforce
> IPR disclosure rules, and this document does not suggest that they take on
> such a role.", however, RFC8179 says:
> Again noting that I am not currently the responsible AD for the WG, I was
> when the WGLC occurred. So, I think that I'm within my rights to suggest that
> the chairs:
> 1: Suggest that the author who originally had the disclosure made (thank you,
> this was the right thing to do!) remind their lawyers of the requirement in
> RFC8179 Section 5.4.2
> 2: As you are raising concerns about whether everyone was aware (and state
> that at least one person wasn't) that the chairs ask if anyone who previously
> expressed support for progressing the document has changed their views
> **because** they were not aware of the existence of the IPR disclosure.
> >>> Is the working group aware of the IPR disclosure China Mobile made
> >>> against this document?  Specifically, that the IPR disclosure says
> >>> that a license may be required?
> >>>
> >>> Normally, I would not even comment on that, and as you can see, I am
> >>> not commenting on the list about it.
> >>>
> >>> But I note that this is a case where there is a clear workaround
> >>> (just don't do this).  So I would expect that the shepherd report,
> >>> whenever that is produced, will need to discuss the IPR disclosure.
> >>>
> >>> Yours,
> >>> Joel
> >
> >
> I don't think the execution is relevant when it was obviously a bad idea in
> the first place.
> This is like putting rabid weasels in your pants, and later expressing regret
> at having chosen those particular rabid weasels and that pair of pants.
>    ---maf